Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.properties
Class BadPropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.jasig.portal.properties.BadPropertyException

All Implemented Interfaces:
  java.io.Serializable

    public class BadPropertyException

extends java.lang.RuntimeException

This is an undeclared (Runtime) exception to be thrown by the PropertiesManager when a property is requested but cannot be parsed and returned as the desired type.

Since:
  uPortal 2.4
Version:
  $Revision: 1.4 $ $Date: 2005/04/19 01:18:30 $
Author:
  andrew.petro@yale.edu
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `desiredType` The desired type, as which the property could not be parsed.
`private java.lang.String` | `propertyName` The name of the property
`private java.lang.String` | `propertyValue` The value of the property

Constructor Summary
`BadPropertyException(java.lang.String propertyName, java.lang.String propertyValue, java.lang.String desiredType)` Instantiate a new BadPropertyException.
`BadPropertyException(java.lang.String propertyName, java.lang.String propertyValue, java.lang.String desiredType, java.lang.Throwable cause)` Instantiate a new BadPropertyException with the given underlying cause.

Method Summary
`java.lang.String` | `getDesiredType()` Get the desired type as which the property could not be parsed.
`java.lang.String` | `getLocalizedMessage()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getPropertyName()` Get the name of the bad property.
`java.lang.String` | `getPropertyValue()` Get the actual value of the property.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### propertyName

    private final java.lang.String propertyName

  The name of the property

### propertyValue

    private final java.lang.String propertyValue

  The value of the property

### desiredType

    private final java.lang.String desiredType

  The desired type, as which the property could not be parsed.

Constructor Detail

### BadPropertyException

    public BadPropertyException(java.lang.String propertyName,
                                java.lang.String propertyValue,
                                java.lang.String desiredType)

  Instantiate a new BadPropertyException.

  Parameters:
    `propertyName` - - the name of the property
    `propertyValue` - - the bad value of the property.
    `desiredType` - - the name of the desired type which the value wasn't, making it bad.

### BadPropertyException

    public BadPropertyException(java.lang.String propertyName,
                                java.lang.String propertyValue,
                                java.lang.String desiredType,
                                java.lang.Throwable cause)

  Instantiate a new BadPropertyException with the given underlying cause.

  Parameters:
    `propertyName` - - the name of the property
    `propertyValue` - - the bad value of the property.
    `desiredType` - - the name of the desired type which the value wasn't, making it bad.
    `cause` - - underlying cause

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`

### getDesiredType

    public java.lang.String getDesiredType()

  Get the desired type as which the property could not be parsed.

  Returns:
    Returns the desiredType.

### getPropertyName

    public java.lang.String getPropertyName()

  Get the name of the bad property.

  Returns:
    Returns the propertyName.

### getPropertyValue

    public java.lang.String getPropertyValue()

  Get the actual value of the property.

  Returns:
    Returns the propertyValue.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD